---
jupytext:
  text_representation:
    extension: .md
    format_name: myst
    format_version: 0.13
    jupytext_version: 1.10.3
kernelspec:
  display_name: Python 3
  language: python
  name: python3
---

# Download the Data

+++

```{code-cell} ipython3
# First, import the necessary modules and functions
import os

from repo2data.repo2data import Repo2Data

# Install the data if running locally, or points to cached data if running on neurolibre
DATA_REQ_FILE = os.path.abspath("../binder/data_requirement.json")
repo2data = Repo2Data(DATA_REQ_FILE)
data_path = repo2data.install()
data_path = os.path.join(data_path[0], "data")
print(f"Data are located at {data_path}")
```

We will also create a directory in which to save files that are generated within the book.

```{code-cell} ipython3
os.makedirs("../outputs/", exist_ok=True)
print(f"Files generated by the book will be saved to {os.path.abspath('../outputs/')}")
```
